<?php include "php/cabecera.inc";
	echo "<div><BR>";
	echo "<style>@media screen and (max-device-width:769px) {.product .desc p{font-size:30px;}}</style>";
	$lim=$st['PAGINACION'];
	
	if($_GET['CAT']){
		if(is_numeric($_GET['INI'])){
			$ini = $_GET['INI'];
		$consulta= "SELECT * FROM PRODUCTOS WHERE DEPTO = '".$_GET['CAT']."' ORDER BY NOMBRE LIMIT ".$ini.",".$lim;}
		//echo $consulta;
		}else{
		$consulta= "SELECT * FROM PRODUCTOS WHERE PRECIO>0 ORDER BY RAND() LIMIT 0,20";
		//$consulta= "SELECT * FROM PRODUCTOS WHERE PRECIO>0 AND DEPTO='Abarrotes' ORDER BY RAND() LIMIT 0,40";
	}
	echo "<center><h1 STYLE='COLOR:".$st['C-ENF1']."'>".$_GET['CAT']."</h1></center>";
	$conexion = mysqli_connect($serv,$dbu,$dbp,$db);
	mysqli_set_charset($conexion, "utf8");
	$resultado = mysqli_query($conexion, $consulta);
	
	if (-1*(!empty($resultado))){
		while($fila = mysqli_fetch_array($resultado)) {
			if($fila['IMAGEN']==NULL){$IMG="Default.png";}else{$IMG=$fila['IMAGEN'];}
			echo '<div class="product-holder"><div class="product"><a href="#" class="tooltip"><img src="photo/'.$IMG.'" /><span><strong>'.$fila['NOMBRE'].'<br></strong><br>'.$fila['DESCRIPCION'].'</span></a>';
			echo '<div class="desc"><p>'.$fila['NOMBRE'].'</p><p class="precio">$ '.$fila['PRECIO'].'</p>';
			echo "<select value='".$fila['ID']."' name=cant ID='ms".$fila['ID']."'>";	
			$rd = intval($fila['EXISTENCIAS']);
			for($i=1; $i<$rd +1; $i++) {
				$selected = '';
				echo ('<option value="'.$i.'">'.$i.'</option>'."\n");
			}
		//echo '</select><a ID="ag" href="agregar.php?IDS='.$_GET['IDS'].'&SKU='.$fila['ID'].'" title="Agregar"><img src="img/'.$st['C-ICON'].'/agr1.png"></a><a ID="detail" href="#" title="Detalles"><img ID="det" src="img/'.$st['C-ICON'].'/det1.png"></a></div></div></div>';}
		//echo '</select><BUTTON class="botoncompra" title="Agregar" value="'.$fila['ID'].'">Agregar</BUTTON><a ID="detail" href="#" title="Detalles"><img ID="det" src="img/'.$st['C-ICON'].'/det1.png"></a></div></div></div>';}
		//echo "</select><img ID='ag' value='".$fila['ID']."' class='botoncompra' name='".$fila['ID']."' title='Agregar' src='img/".$st['C-ICON']."/agr1.png'/>";
		echo "</select><button value='".$fila['ID']."' class='botoncompra' name='".$fila['ID']."'";
		for($i=0;$i<$_SESSION['contador'];$i++){
		if(($_SESSION['producto'][$i]) == $fila['ID']){echo " disabled ";}
		}
		echo '>+</button><a ID="detail" href="#" title="Detalles"><img ID="det" src="img/'.$st['C-ICON'].'/det1.png"></a></div></div></div>';}
	}else{echo "<CENTER><h3 style='color: ".$st['C-TEXTO']."';>Ocurrio un problema con la conexión a la base de datos.</h3></CENTER>";}
	
	if($_GET['INI']!=null){
		$cons = mysqli_query($conexion, "SELECT COUNT(ID) FROM PRODUCTOS WHERE DEPTO = '".$_GET['CAT']."'");
		$n=mysqli_fetch_array($cons);
		
		$xd = $n['COUNT(ID)']/$lim;
		$parcial = floor($xd); 
		$frac = $xd - $parcial;
		$total=$parcial;
		if ($frac > 0){$total=$total+1;}
		
		echo "<div style='display:block;float:left;height:20px;width:100%;'><center>";
		
		for($i=0;$i<$total;$i++){
			$act = ($i * $lim);
			if($ini == $act){echo "<a class='counter' href='index.php?IDS=".$_GET['IDS']."&CAT=".$_GET['CAT']."&INI=".($i * $lim)."' style='text-decoration:underline;'>".($i+1)."</a>";}
			else{echo "<a class='counter' href='index.php?IDS=".$_GET['IDS']."&CAT=".$_GET['CAT']."&INI=".($i * $lim)."'>".($i+1)."</a>";}
		}
		echo "</center></div>";
	}
	mysqli_close($conexion);
	
include "php/pie.inc" ?>